Actual work per person

Returns actual work seconds submitted per person. This endpoint provides the same actuals data (planned can be obtained with the /reports/people-planned endpoint) that https://use.operating.app/reports/planned-vs-actual-people uses as the base of it's calculations. Grouping and filtering by type of work should be handled by the API consumer.

The response is an array of time blocks of weeks or months as specified by the timeUnit parameter. Each time block contains an array of people, where each person element details the actual work seconds submitted by the person for that specific time block. Each person object also includes a breakdown of actual seconds submitted by that person to a project in the specified time block.

If the range starts or ends in the middle of a block, the response will include that partial block as a full entry, but with data limited to the specified timeRangeStart and timeRangeEnd parameters.

Pagination is opt-in: pass limit (and optionally after) to page by person. When paginating, the response is { data, meta: { nextCursor } } where data is the usual time-bucket array with only that page of people in each bucket. Omit limit to keep the legacy bare-array response.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

Only include people with the given ID.

string

Only include people with who belong to a group of given ID.

string

Only include people who have a competence role of given ID.

string

Only include people with the given skill tag ID.

string

Only include people with the given site ID.

string

Only include people who report to a person with the given ID.

string

For pagination. Return entities after this cursor. Requires limit.

integer
1 to 200

Opt-in pagination. When set, return at most this many people/projects (max 200) and wrap the response as { data, meta }. Omit to keep the legacy bare-array response.

string
enum
required

The unit of time that the timeline will be broken down into.

Allowed:
string

The start of the time range in YYYY-MM-DD. Maximum range of 2 years.

string

The end of the time range in YYYY-MM-DD. Maximum range of 2 years.

Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json